JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.util
Class ObjectSparseArrayElement

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.util.SparseArrayElement
            |
            +--edu.utah.janosvm.kit.util.ObjectSparseArrayElement

public final class ObjectSparseArrayElement
extends SparseArrayElement

The default SparseArrayElement implementation.

Constructor Summary
`ObjectSparseArrayElement()`

Method Summary
`protected void` `dropped()` Method called when the element is returned to the array.
`java.lang.Object` `getValue()`
`void` `setValue(java.lang.Object value)`
`java.lang.String` `toString()`

Methods inherited from class edu.utah.janosvm.kit.util.SparseArrayElement
`equals, getID, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectSparseArrayElement

    public ObjectSparseArrayElement()

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Parameters:
    `value` - The element's value.

### getValue

    public java.lang.Object getValue()

  Returns:
    The elements value.

### dropped

    protected void dropped()

  Description copied from class: SparseArrayElement
  Method called when the element is returned to the array.
  Overrides:
    dropped in class SparseArrayElement

### toString

    public java.lang.String toString()

  Overrides:
    toString in class SparseArrayElement

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002